MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032078Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-22 17:442021-03-17 15:53
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032078: Visualization, Poly_Triangulation - add cached bounding box
DescriptionCached bounding box in Poly_Triangulation can be useful in case of empty triangulation. It doesn't take to account internal triangulation vertices and can be set only using SetCachedMinMax() method from application site.
Update some algorithms to take this cached box if triangulation is empty (like BRepBndLib::Add*).
Update Gltf and Jt readers by caching bounding box from file.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032086verifiedbugmaster Open CASCADE Visualization - support deferred data loading 
parent of 0032171verifiedbugmaster Open CASCADE Data Exchange - RWGltf_TriangulationReader and JTCAFControl_Triangulation don't copy cached bounding box 

-  Notes
(0098398)
osa (developer)
2021-01-25 17:09

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32078-CR32078-OSA/view/ALL/ [^]
(0098399)
osa (developer)
2021-01-25 17:11

Patches are ready for review
- OCCT: branch CR32078,
- OCCT Products: branch CR32078,
- CAD Assistant: branch CR32078
(0098430)
git (administrator)
2021-01-27 10:25

Branch CR32078_1 has been updated forcibly by osa.

SHA-1: 8e11ec0f96c59786e6456ee868779b6aad6d7e52
(0098431)
osa (developer)
2021-01-27 10:31

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32078_1-CR32078_1-OSA/view/ALL/ [^]

Patches are ready for review
- OCCT: branch CR32078_1,
- OCCT Products: branch CR32078_1,
- CAD Assistant: branch CR32078_1
(0098434)
kgv (developer)
2021-01-27 11:41

Please raise the patch.
(0098435)
git (administrator)
2021-01-27 12:40

Branch CR32078_1 has been updated forcibly by osa.

SHA-1: 64caee43d995eb1310f841677385063baac507c4
(0098524)
bugmaster (administrator)
2021-01-30 16:30

Combination -
OCCT branch : IR-2021-01-29
master SHA - 4ad4054c9029106ee8d3dffe9155bacf3969829b
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-29 SHA - c3b72814422d9716b8d67e200cc31db4c554346e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17780.76000000008 / 17796.17000000006 [-0.09%]
Products
Total CPU difference: 11509.04000000011 / 12430.450000000123 [-7.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 19390.859375 / 19444.171875 [-0.27%]
Products
Total CPU difference: 12815.171875 / 13824.375 [-7.30%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0098546)
git (administrator)
2021-01-30 17:16

Branch CR32078_1 has been deleted by inv.

SHA-1: 64caee43d995eb1310f841677385063baac507c4
(0098547)
git (administrator)
2021-01-30 17:16

Branch CR32078 has been deleted by inv.

SHA-1: 191f77b27d6d3115f98ea13fdad3bde896851948

- Related Changesets
occt: master 538ab5dd
Timestamp: 2021-01-22 14:56:45
Author: osa
Committer: bugmaster
Details ] Diff ]
0032078: Visualization, Poly_Triangulation - add cached bounding box.

1) Add empty constructor for Poly_Triangulation(),
2) Add Poly_Triangulation::HasGeometry() method to check that triangulation has any geometry.
3) Add possibility to cache bounding box in Poly_Triangulation and use it later in case of empty triangulation.
4) Add Poly_Triangulation::MinMax() to extends input box with bounding box of triangulation.
5) Add Poly_Triangulation::UpdateCachedMinMax() to cache min - max range of this triangulation with bounding box of nodal data.
6) Add virtual Poly_Triangulation::computeBoundingBox() to calculate bounding box of nodal data.
7) Update BRepBndLib::Add/AddOptimal/AddOBB algorithms to check empty triangulation and use cached box in this case.
8) Update BRepGProp::roughBary/surfaceProperties/volumeProperties to skip empty triangulation.
9) Remove additional myBox from RWGltf_GltfLatePrimitiveArray and some hack to save this box as nodes of base Poly_Triangulation.
10) Cache min-max range from JT file during its parsing
mod - src/BRepBndLib/BRepBndLib.cxx Diff ] File ]
mod - src/BRepBndLib/BRepBndLib_1.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_MeshProps.cxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.cxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfLatePrimitiveArray.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfLatePrimitiveArray.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-22 17:44 osa New Issue
2021-01-22 17:44 osa Assigned To => kgv
2021-01-22 17:45 osa Assigned To kgv => osa
2021-01-22 17:45 osa Status new => assigned
2021-01-25 17:09 osa Note Added: 0098398
2021-01-25 17:11 osa Note Added: 0098399
2021-01-25 17:11 osa Assigned To osa => kgv
2021-01-25 17:11 osa Status assigned => resolved
2021-01-25 17:11 osa Steps to Reproduce Updated View Revisions
2021-01-25 22:09 kgv Assigned To kgv => osa
2021-01-25 22:09 kgv Status resolved => assigned
2021-01-27 10:25 git Note Added: 0098430
2021-01-27 10:31 osa Note Added: 0098431
2021-01-27 10:31 osa Assigned To osa => kgv
2021-01-27 10:31 osa Status assigned => resolved
2021-01-27 11:40 kgv Relationship added related to 0032086
2021-01-27 11:41 kgv Note Added: 0098434
2021-01-27 11:41 kgv Assigned To kgv => bugmaster
2021-01-27 11:41 kgv Status resolved => reviewed
2021-01-27 11:42 kgv Relationship added child of 0026812
2021-01-27 11:42 kgv Severity minor => feature
2021-01-27 12:40 git Note Added: 0098435
2021-01-30 16:30 bugmaster Note Added: 0098524
2021-01-30 16:30 bugmaster Status reviewed => tested
2021-01-30 16:32 bugmaster Test case number => Not required
2021-01-30 16:50 bugmaster Changeset attached => occt master 538ab5dd
2021-01-30 16:50 bugmaster Status tested => verified
2021-01-30 16:50 bugmaster Resolution open => fixed
2021-01-30 17:16 git Note Added: 0098546
2021-01-30 17:16 git Note Added: 0098547
2021-02-25 20:33 kgv Relationship added parent of 0032171
2021-03-17 15:53 kgv Relationship added related to 0032224


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker